Skip to main content
GET
/
v2
/
integrations
/
connections
/
{connection_id}
/
resource-operations
/
{resource_operation_id}
Get Resource Operation
curl --request GET \
  --url https://api.catenatelematics.com/v2/integrations/connections/{connection_id}/resource-operations/{resource_operation_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "partner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "source_name": "ada",
  "resource": "asset",
  "operation_type": "create",
  "status": "pending",
  "payload": {},
  "fleet_ref": "<string>",
  "resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "source_id": "<string>",
  "logs": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "resource_operation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "success",
      "error_type": "auth",
      "error_details": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.catenatelematics.com/llms.txt

Use this file to discover all available pages before exploring further.

Provisional endpoint
This endpoint is available for early access. The core schema is stable, but minor details — such as field names or added fields — may change before it becomes generally available. Backward compatibility is not guaranteed.

See API Stability & Versioning for details on provisional endpoints.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

connection_id
string<uuid>
required

The unique identifier of the connection.

resource_operation_id
string<uuid>
required

The unique identifier of the resource operation.

Response

Successful Response

API response model for a resource operation, including its logs.

id
string<uuid>
required

Unique identifier for the resource operation.

created_at
string<date-time>
required

Timestamp when the resource operation was created.

updated_at
string<date-time>
required

Timestamp when the resource operation was last updated.

partner_id
string<uuid>
required

The ID of the partner that owns this operation.

connection_id
string<uuid>
required

The ID of the connection associated with this operation.

source_name
enum<string>
required

The source name of the operation.

Available options:
ada,
ai_eld,
air_eld,
alfa_eld,
alpha_eld,
als,
anytrek_pro,
anytrek_classic,
apex_eld,
apollo,
apollocloud,
ascend,
att,
awaregps,
azuga,
bigroad,
bluehorse_eld,
blueinktech,
bouncie,
budgetgps,
catena_simulator,
captain_eld,
carrier_lynx,
club_eld,
counting_trucks_eld,
cyntrx,
digital_eld,
dragon_eld,
drive_hos,
driver_tech,
dsg_elogs,
dynamic_eld,
eighteighteight_eld,
eld_88,
eld_books,
eld_mandate,
eld_mandate_prime,
eroad,
eva_eld,
evo_eld,
expressway_eld,
extreme_eld,
ezlogz,
ez_lynk,
factor_eld,
firstgate,
fleetcomplete,
fleetcompletehub,
fleethunt,
fleetsharp,
fleetup,
fm,
forwardthinking,
forza_eld,
geotab,
gpsinsight,
gpstab,
gpstrackit,
grand_eld,
greenlight,
groundhog,
hcss,
hos247,
hutch,
intellishift,
ironman_eld,
isaac,
jjkeller,
kinexaiot,
knight_eld,
konexial,
lioneight,
linxup,
loop_eld,
lucid_eld,
luna_eld,
lytx,
lytxv3,
mapon,
matrack,
maven,
mdm_eld,
mobilefleet,
moonlight_eld,
motion_eld,
motive,
my_drivebook,
my_logs_eld,
nero,
netradyne,
new_eld_world,
nextgen_eld,
nextraq,
omnitracs,
onestep,
ontime_eld,
optima,
orbcomm,
orient_eld,
panda_eld,
payd,
peak_eld,
peoplenet,
phillips_connect,
phoenix,
pop_eld,
prologs,
proride_eld,
qualitylogs_eld,
randmcnally,
rastrac,
raven,
redfox,
regulog_eld,
ridehub,
roadeazy,
rock_eld,
rollingtrans,
routemate,
royal_eld,
safelane,
samsara,
selectivedrive,
simba_eld,
skybitz,
smart_elds,
sparkle_eld,
spireon,
sun_eld,
surfsight,
swift,
switchboard,
synergy_eld,
teletracnavman,
teletracnavman_director,
telogis,
tenna,
thermo_king,
think,
tive,
topcompliance_eld,
traccar,
trackease_eld,
trackpro,
traclog,
transflo,
trimble,
truckford,
truckspy,
truckx,
trueroad_eld,
tt,
txt_eld,
us_fast_eld,
verizon_connect,
vista_eld,
vistracks,
vlog_eld,
vulcansols_eld,
wialon,
webfleet,
xplore_eld,
zigzag_eld,
zms_eld,
zonar,
zubie
resource
enum<string>
required

The type of resource to operate on (e.g., vehicle, driver, hos_event).

Available options:
asset,
driver_association,
driver_vehicle_association,
driver_event_log,
driver_safety_event,
dvir_log,
dvir_log_defect,
engine_log,
engine_status,
fuel_transaction,
hos_availability,
hos_daily_snapshot,
hos_event,
hos_event_annotation,
hos_event_attachment,
hos_violation,
ifta_summary,
location_segment,
message,
user,
vehicle,
vehicle_location,
vehicle_sensor,
vehicle_region_segment,
trailer,
trailer_association,
trailer_vehicle_association,
trailer_location,
trailer_status,
workflow
operation_type
enum<string>
required

The type of operation to perform (e.g., create, update).

Available options:
create,
update
status
enum<string>
required

The current status of the operation.

Available options:
pending,
success,
failed
payload
Operation Payload · object
required

The payload of the operation, containing the resource attributes to be created or updated.

fleet_ref
string | null

The reference of the fleet in the partner's system.

resource_id
string<uuid> | null

Unique identifier of the resource in Catena Telematics. Can be null if the operation is pending or failed.

source_id
string | null

Unique identifier of the record in the TSP. Can be null if the operation is pending or failed.

logs
ResourceOperationLogRead · object[]

Log entries for each attempt to execute this operation.